test_reflective_loader 0.1.4

  • README.md
  • CHANGELOG.md
  • Installing
  • Versions
  • 70

test_reflective_loader

Build Status

Support for discovering tests and test suites using reflection.

This package follows the xUnit style where each class is a test suite, and each method with the name prefix test_ is a single test.

Methods with names starting with test_ are run using the test() function with the corresponding name. If the class defines methods setUp() or tearDown(), they are executed before / after each test correspondingly, even if the test fails.

Methods with names starting with solo_test_ are run using the solo_test() function.

Methods with names starting with fail_ are expected to fail.

Methods with names starting with solo_fail_ are run using the solo_test() function and expected to fail.

Method returning Future class instances are asynchronous, so tearDown() is executed after the returned Future completes.

Features and bugs

Please file feature requests and bugs at the issue tracker.

Changelog

0.1.3

  • Fix @failingTest to fail when the test passes.

0.1.2

  • Update the pubspec dependencies section to include package:test

0.1.1

  • For @failingTest tests, properly handle when the test fails by throwing an exception in a timer task
  • Analyze this package in strong mode

0.1.0

  • Switched from 'package:unittest' to 'package:test'.
  • Since 'package:test' does not define 'solo_test', in order to keep this functionality, defineReflectiveSuite must be used to wrap all defineReflectiveTests invocations.

0.0.4

  • Added @failingTest, @assertFailingTest and @soloTest annotations.

0.0.1

  • Initial version

Use this package as a library

1. Depend on it

Add this to your package's pubspec.yaml file:


dependencies:
  test_reflective_loader: "^0.1.4"

2. Install it

You can install packages from the command line:

with pub:


$ pub get

Alternatively, your editor might support pub get. Check the docs for your editor to learn more.

3. Import it

Now in your Dart code, you can use:


      import 'package:test_reflective_loader/test_reflective_loader.dart';
  
Version Uploaded Documentation Archive
0.1.4 Mar 26, 2018 Go to the documentation of test_reflective_loader 0.1.4 Download test_reflective_loader 0.1.4 archive
0.1.3 Dec 8, 2017 Go to the documentation of test_reflective_loader 0.1.3 Download test_reflective_loader 0.1.3 archive
0.1.1 Dec 7, 2017 Go to the documentation of test_reflective_loader 0.1.1 Download test_reflective_loader 0.1.1 archive
0.1.0 Oct 4, 2016 Go to the documentation of test_reflective_loader 0.1.0 Download test_reflective_loader 0.1.0 archive
0.0.4 Aug 31, 2016 Go to the documentation of test_reflective_loader 0.0.4 Download test_reflective_loader 0.0.4 archive
0.0.3 Apr 22, 2015 Go to the documentation of test_reflective_loader 0.0.3 Download test_reflective_loader 0.0.3 archive
0.0.1 Apr 21, 2015 Go to the documentation of test_reflective_loader 0.0.1 Download test_reflective_loader 0.0.1 archive

Analysis

We analyzed this package on Jun 19, 2018, and provided a score, details, and suggestions below. Analysis was completed with status completed using:

  • Dart: 2.0.0-dev.63.0
  • pana: 0.11.3

Scores

Popularity:
Describes how popular the package is relative to other packages. [more]
39 / 100
Health:
Code health derived from static analysis. [more]
100 / 100
Maintenance:
Reflects how tidy and up-to-date the package is. [more]
100 / 100
Overall score:
Weighted score of the above. [more]
70
Learn more about scoring.

Platforms

Detected platforms: web, other

Primary library: package:test_reflective_loader/test_reflective_loader.dart with components: mirrors.

Suggestions

  • Package is pre-v1 release.

    While there is nothing inherently wrong with versions of 0.*.*, it usually means that the author is still experimenting with the general direction API.

  • Maintain an example.

    Create a short demo in the example/ directory to show how to use this package. Common file name patterns include: main.dart, example.dart or you could also use test_reflective_loader.dart.

  • Fix analysis and formatting issues.

    Analysis or formatting checks reported 1 hint.

    Strong-mode analysis of lib/test_reflective_loader.dart gave the following hint:

    line: 8 col: 2
    'MirrorsUsed' is deprecated and shouldn't be used.

Dependencies

Package Constraint Resolved Available
Direct dependencies
Dart SDK >=1.8.0 <2.0.0
test ^0.12.0 0.12.42 1.0.0
Transitive dependencies
analyzer 0.32.1
args 1.4.3
async 2.0.7
boolean_selector 1.0.3
charcode 1.1.1
collection 1.14.10
convert 2.0.1
crypto 2.0.5
csslib 0.14.4
front_end 0.1.1
glob 1.1.5
html 0.13.3+1
http 0.11.3+16
http_multi_server 2.0.5
http_parser 3.1.2
io 0.3.2+1
js 0.6.1
json_rpc_2 2.0.8
kernel 0.3.1
logging 0.11.3+1
matcher 0.12.3
meta 1.1.5
mime 0.9.6+1
multi_server_socket 1.0.1
node_preamble 1.4.2
package_config 1.0.3
package_resolver 1.0.3
path 1.6.1
plugin 0.2.0+2
pool 1.3.5
pub_semver 1.4.1
shelf 0.7.3+1
shelf_packages_handler 1.0.3
shelf_static 0.2.7+1
shelf_web_socket 0.2.2+2
source_map_stack_trace 1.1.4
source_maps 0.10.5
source_span 1.4.0
stack_trace 1.9.2
stream_channel 1.6.7+1
string_scanner 1.0.2
term_glyph 1.0.0
typed_data 1.1.5
utf 0.9.0+4
vm_service_client 0.2.4+3
watcher 0.9.7+8
web_socket_channel 1.0.8
yaml 2.1.14